This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### shader()
Examples |
    PShader edges;
    PImage img;

    void setup() {
      size(640, 360, P2D);
      img = loadImage("leaves.jpg");
      edges = loadShader("edges.glsl");
    }

    void draw() {
      shader(edges);
      image(img, 0, 0);
    }
Description | Applies the shader specified by the parameters. It's compatible with the P2D and P3D renderers, but not with the default renderer.
Syntax |
    shader(shader)
    shader(shader, kind)
Parameters |
shader | PShader: name of shader file
kind | int: type of shader, either POINTS, LINES, or TRIANGLES
Returns | void

Updated on October 26, 2013 08:58:31pm PDT